kubuntu 19,04 OSB Studio ошибка установки

kubuntu 19,04 OSB Studio ошибка установки

kubuntu 19,04 OSB Studio ошибка установки

Недавно, буквально вчера пробовал установить OSB Studio:

  • [email protected]:~$ sudo add-apt-repository ppa:obsproject/obs-studio
  • [sudo] пароль для sergejj180:
  • Latest stable release of OBS Studio
  • More info: https://launchpad.net/~obsproject/+archive/ubuntu/obs-studio
  • Press [ENTER] to continue or Ctrl-c to cancel adding it.
  • Сущ:1 http://ru.archive.ubuntu.com/ubuntu disco InRelease
  • Сущ:2 http://security.ubuntu.com/ubuntu disco-security InRelease
  • Сущ:3 http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu disco InRelease
  • Сущ:4 http://ru.archive.ubuntu.com/ubuntu disco-updates InRelease
  • Сущ:5 http://ru.archive.ubuntu.com/ubuntu disco-backports InRelease
  • Пол:6 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco InRelease [15,9 kB]
  • Пол:7 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco/main i386 Packages [868 B]
  • Пол:8 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco/main amd64 Packages [864 B]
  • Пол:9 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco/main Translation-en [160 B]
  • Получено 17,8 kB за 3с (6 706 B/s)
  • Чтение списков пакетов… Готово
  • [email protected]:~$ sudo apt update && sudo apt install obs-studio
  • Сущ:1 http://ru.archive.ubuntu.com/ubuntu disco InRelease
  • Сущ:2 http://ru.archive.ubuntu.com/ubuntu disco-updates InRelease
  • Сущ:3 http://security.ubuntu.com/ubuntu disco-security InRelease
  • Сущ:4 http://ppa.launchpad.net/jeffreyratcliffe/ppa/ubuntu disco InRelease
  • Сущ:5 http://ru.archive.ubuntu.com/ubuntu disco-backports InRelease
  • Сущ:6 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco InRelease
  • Чтение списков пакетов… Готово
  • Построение дерева зависимостей
  • Чтение информации о состоянии… Готово
  • Может быть обновлён 1 пакет. Запустите «apt list --upgradable» для показа.
  • Чтение списков пакетов… Готово
  • Построение дерева зависимостей
  • Чтение информации о состоянии… Готово
  • Следующие пакеты устанавливались автоматически и больше не требуются:
  • libobs0 obs-plugins
  • Для их удаления используйте «sudo apt autoremove».
  • Будут установлены следующие дополнительные пакеты:
  • libfdk-aac1
  • Следующие НОВЫЕ пакеты будут установлены:
  • libfdk-aac1
  • Следующие пакеты будут обновлены:
  • obs-studio
  • Обновлено 1 пакетов, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 0 пакетов не обновлено.
  • Необходимо скачать 3 850 kB архивов.
  • После данной операции объём занятого дискового пространства возрастёт на 7 628 kB.
  • Хотите продолжить? [Д/н] y
  • Пол:1 http://ru.archive.ubuntu.com/ubuntu disco/multiverse amd64 libfdk-aac1 amd64 0.1.6-1 [366 kB]
  • Пол:2 http://ppa.launchpad.net/obsproject/obs-studio/ubuntu disco/main amd64 obs-studio amd64 24.0.3-0obsproject1~disco [3 484 kB]
  • Получено 3 850 kB за 1с (2 812 kB/s)
  • Выбор ранее не выбранного пакета libfdk-aac1:amd64.
  • (Чтение базы данных … на данный момент установлено 227335 файлов и каталогов.)
  • Подготовка к распаковке …/libfdk-aac1_0.1.6-1_amd64.deb …
  • Распаковывается libfdk-aac1:amd64 (0.1.6-1) …
  • Подготовка к распаковке …/obs-studio_24.0.3-0obsproject1~disco_amd64.deb …
  • Распаковывается obs-studio (24.0.3-0obsproject1~disco) на замену (22.0.3+dfsg1-1) …
  • dpkg: ошибка при обработке архива /var/cache/apt/archives/obs-studio_24.0.3-0obsproject1~disco_amd64.deb (--unpack):
  • попытка перезаписать «/usr/share/obs/libobs/bicubic_scale.effect», который уже имеется в пакете libobs0:amd64 22.0.3+dfsg1-1
  • dpkg-deb: ошибка: вставка subprocess was killed by signal (Обрыв канала)
  • При обработке следующих пакетов произошли ошибки:
  • /var/cache/apt/archives/obs-studio_24.0.3-0obsproject1~disco_amd64.deb
  • E: Sub-process /usr/bin/dpkg returned an error code (1)

После дополнительных манипуляций:

$ sudo apt-add-repository ppa:kirillshkrogalev/ffmpeg-next
$ sudo apt-get update
$ sudo apt-get install ffmpeg
$ sudo apt-get install ffmpeg obs-studio
$ do-release-upgrade

OSB Stutudio не удалось установить но у пакетного менеджера Diskover и у пакетного менеджера Muon появились сообщения об ошибках связанные с библиотекой libosb0:

сообщение об ошибке Diskover: error while installing package trying to overwrite '/usr/share/osb/libosb/bicubc_scale.effect', wich is also in pacage libosb0

0
AlexBKost - 25 Октябрь, 2019 - 19:44

sergejj180, я лично предпочитаю не подключать к своей "девственно" чистой системе разные там ppa - зачастую из-за этого и происходит эта байда с ошибками.

Предлагаю простой метод - удалить из системы рра, скачать установочный пакет:
https://launchpad.net/~obsproject/+archive/ubuntu/obs-studio/+files/obs-studio_24.0.3-0obsproject1~disco_amd64.deb
и установить его через QApt.

0
Boom - 26 Октябрь, 2019 - 00:30
Изображение пользователя Boom.

А в чём смысл?Там и так один этот пакет.

sergejj180
Сходите и руками потрите всё.Там по моему будет 2-3 файла. /var/cache/apt/archives/obs-studio_24.0.3-0obsproject1~disco_amd64.deb
Потом apt update сделать.Можете ещё сперва надо пакет удалить через apt purge.Если нечего не напутал то так делал.Это АПТ шалит.

0
AlexBKost - 26 Октябрь, 2019 - 01:35

А в чём смысл?Там и так один этот пакет. Boom, соблюдайте иерархию, этот вопрос явно не ко мне.

0
Boom - 26 Октябрь, 2019 - 13:42
Изображение пользователя Boom.

Что значит не вам?А кому?

+1
Гость - 25 Октябрь, 2019 - 20:53

попытка перезаписать «/usr/share/obs/libobs/bicubic_scale.effect», который уже имеется в пакете libobs0:amd64
Разжовываю - и в пакете libobs0 и в пакете obs-studio имеется фаил копируемый по указаному пути, один пакет пытается перезаписать фаил другого пакета, что пакетный менеджер делать не позволяет.
Лечится это обращением к владельцу PPA, или удалением libobs0, если оно конечно по зависимостям не подтянется опять.
Следующие пакеты устанавливались автоматически и больше не требуются.......... Вы хоть иногда читаете выхлоп консоли?

Отправить комментарий

CAPTCHA на основе изображений
Введите цифры